/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago4q.extractors.bo;

public class InterfaceFieldInstance {
	
	private Object value;
	private Boolean sensible;
	private Boolean key;
	private String type;
	
	public Object getValue() {
		return value;
	}
	private void setValue(final Object value) {
		this.value = value;
	}
	public Boolean isSensible() {
		return sensible;
	}
	private void setSensible(final Boolean sensible) {
		this.sensible = sensible;
	}
	public Boolean isKey() {
		return key;
	}
	private void setKey(final Boolean key) {
		this.key = key;
	}
	
	public InterfaceFieldInstance(final Object value, final Boolean sensible,
			final Boolean keyValue, final String type) {
		setValue(value);
		setSensible(sensible);
		setKey(keyValue);
		setType(type);
	}
	
	public String getType() {
		return type;
	}
	public void setType(final String type) {
		this.type = type;
	}
	
	

}
