/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago4q.extractors.script;

import javax.script.ScriptEngine;
import javax.script.ScriptEngineManager;
import javax.script.ScriptException;

public final class ScriptCreator {
	
	private ScriptCreator() {}

	public static IMappingScript createScriptObject(final String script)
			throws ScriptException {
		IMappingScript toReturn = null;
		ScriptEngineManager scriptManager = new ScriptEngineManager();
		ScriptEngine groovyScriptEngine = scriptManager
				.getEngineByName("groovy");

		toReturn = (IMappingScript) groovyScriptEngine.eval(script);

		return toReturn;
	}

	// public static String execute2(String script, String value) throws
	// InstantiationException, IllegalAccessException {
	// String toReturn = "";
	//	
	// GroovyClassLoader gcl = new GroovyClassLoader();
	// Class clazz = gcl.parseClass(script);
	// Object aScript = clazz.newInstance();
	//
	// IMappingScript ifc = (IMappingScript) aScript;
	// toReturn = ifc.execute(value);
	//	
	// return toReturn;
	// }

}
